#! /bin/csh -f

if ( $#argv != 3 ) then
    echo "Usage : "$0" (Header Name) (ID) (new mask radius)"
    exit 1
endif

set HEADER=`gawk -v hd=$1 'BEGIN{gsub(".fits","",hd);gsub(".imh","",hd);print(hd)}'`
set ID=$2
set RAD=$3
set MASKTABLE=RESULTS/mask.$HEADER

gawk -v id=$ID -v r=$RAD '{if($1==id)print($1,$2,$3,r,$5);else print($0)}' $MASKTABLE > tmp.mask
cat tmp.mask > $MASKTABLE

echo # Modified $MASKTABLE

exit 0
