# Badpix Mask
!gawk -v ns=139799 -v n=10 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > data.tbl 
imdel test,badpix1.pl
imcombine @data.tbl test reject=sigclip 
imreplace test 0 upper=1000
imreplace test 1 lower=1000
imcopy test badpix1.pl

!gawk -v ns=141909 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl
imdel test
imcombine @data.tbl test reject=sigclip 
imreplace test 10000 upper=12000 lower=5300
imreplace test 1 upper=5300
imreplace test 1 lower=12000
imreplace test 0 lower=9000
imdel badpix2.pl
imcopy test badpix2.pl

imdel badpix.pl
imarith badpix1.pl + badpix2.pl badpix.pl

imdel test
imcombine @data.tbl test reject=sigclip 
imdel test2,test3,test4
imarith test / flat test2
imshift test2 test3 -20 -20 
imshift test3 test3 20 20 
imsurfit test3[1:512,*] test4 10 2 type_out=fit
imarith test2[1:512,*] - test4 test4
imcopy test4 test2[1:512,*]
imdel test4
imsurfit test2[513:1024,*] test4 10 2 type_out=fit
imarith test2[513:1024,*] - test4 test4
imcopy test4 test2[513:1024,*]
imdel test3
imarith test2 * flat test3
imreplace test3 10000 lower=1500
imreplace test3 10000 upper=-1000
imreplace test3 0 lower=-1000 upper=1500
imreplace test3 1 lower=9000
imdel badpix3.pl
imcopy test3 badpix3.pl

imarith badpix.pl + badpix3.pl badpix.pl


OHSA00139799
#FS
run2.csh 
#J
sed '/#/d' RESULTS/phot.fs21j_01 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs21j_02 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.976 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat > convj.dat
sed '/#/d' RESULTS/phot.fs23j_01 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs23j_02 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.949 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat >> convj.dat
#kp
sed '/#/d' RESULTS/phot.fs21kp_01 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs21kp_02 | gawk '{if($1==1)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=13.138 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat > convkp.dat
sed '/#/d' RESULTS/phot.fs23kp_01 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 > tmp.dat
sed '/#/d' RESULTS/phot.fs23kp_02 | gawk '{if($1==2)print($2,$3,$18,$23,$28)}' | tail -n 1 >> tmp.dat
gawk -v mag=12.372 '{print(mag+2.5*log($3/$1)/log(10),mag+2.5*log($5/$1)/log(10),mag+2.5*log($5/$1)/log(10))}' tmp.dat >> convkp.dat

#According to WEB,
#Kp=26.3mag/e-/sec
#J =26.4mag/e-/sec
cat RESULTS/phot.fs21j_?? |grep -v "#"|  gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.976)}'
cat RESULTS/phot.fs23j_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.949)}'

cat RESULTS/phot.fs21kp_?? |grep -v "#"| gawk '{if($1==1)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-13.150)}'
cat RESULTS/phot.fs23kp_?? |grep -v "#"| gawk '{if($1==2)print($2,$11,$13*$4,$16,$18*$4,$21,$23*$4,$26,$28*$4)}' | gawk '{print($3/$1,$5/$1,$7/$1)}' | gawk '{m=26.4-log($3)/log(10)*2.5;print(m,m-12.363)}'

#Fainter in J by 0.2-0.8mag
#Fainter in Kp by 0.5mag
#LAE Magnitude (1.1"aperture)
# J=107
# Kp<40
gawk 'BEGIN{print(107/60*3.5)}'| gawk '{m=26.4-log($1)/log(10)*2.5;print(m-0.4)}'
#J=24.0117
gawk 'BEGIN{print(40/60*3.5)}'| gawk '{m=26.3-log($1)/log(10)*2.5;print(m-0.5)}'
#Kp<24.8801

##### SDF-NIRA Kp
run.csh

\rm seeingkp.log
ls RESULTS/sdfakp_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingkp.log\n",$1)}' | cl
-----
#Need Check
# first position of num=3
# 05_1, 06_1 $B$O=|$$$?J}$,$$$$LOMM!#(B

cat RESULTS/phot.sdfakp_?? | gawk '{if(NF<10)printf("%s ",$2); else print($0)}' > sdfakp_allframe.log
cat RESULTS/phot.sdfaj_?? | gawk '{if(NF<10)printf("%s ",$2); else print($0)}' > sdfaj_allframe.log

grep -v sdfa sdfakp_allframe.log | sed '/#/d' | gawk '{print(NR,$8,$14,$19,$24)}' > cutkp.log
grep -v sdfa sdfaj_allframe.log | sed '/#/d' | gawk '{print(NR,$8,$14,$19,$24)}' > cutj.log

-----
#Coadd Selected frames
grep -v "z1=" seeingkp.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfakp_??.?.fits | gawk '{print($9)}' > filekp.log
paste filekp.log tmp.log > kp.log

#seeing<0.8"
!gawk '{if($7<7.6)print($1)}' kp.log > tmp.file
!gawk '{if($7<7.6)print(-$2,-$3)}' kp.log > tmp.pos

#1335 -> 1297/1462 frames
imdel sdfakp_0.8
imcombine @tmp.file sdfakp_0.8.fits reject=sigclip  combine=median outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 1 zr- zs-  z1=-4.597444 z2=4.606657 fi+
imdel tmp2.imh
gauss sdfakp_0.8noreject.fits tmp2.imh  1
disp tmp2.imh 2 zr- zs-  z1=-4.597444 z2=4.606657 fi+

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' kp.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' kp.log > tmp.pos

#680 -> 704/1462 frames
imdel sdfakp_0.6
imcombine @tmp.file sdfakp_0.6.fits reject=sigclip combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.6.fits 1 fi+
imdel tmp.imh
gauss sdfakp_0.6.fits tmp.imh  1
disp tmp.imh 1 fi+

imdel tmp2.imh
gauss sdfakp_0.6noreject.fits tmp2.imh  1
disp tmp2.imh 2 zr- zs-  z1=-4.597444 z2=4.606657 fi+

#seeing<0.4"
!gawk '{if($7<3.85)print($1)}' kp.log > tmp.file
!gawk '{if($7<3.85)print(-$2,-$3)}' kp.log > tmp.pos
#204/1462 frames
imdel sdfakp_0.4
imcombine @tmp.file sdfakp_0.4.fits reject=sigclip combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfakp_0.4.fits 1 fi+
imdel tmp.imh
gauss sdfakp_0.4.fits tmp.imh  1
disp tmp.imh 1


disp RESULTS/ql.sdfaj_12 1
!gawk '{print($2,$3)}' RESULTS/mask.sdfaj_12 > tmp.coo
tvmark 1 tmp.coo number+

##### SDF-NIRA J
run.csh

\rm seeingj.log
ls RESULTS/sdfaj_??.?.fits | gawk '{printf("del tmp.log\nimexam %s logfile=tmp.log keeplog+\n\!cat tmp.log>>seeingj.log\n",$1)}' | cl

-----
#Coadd Selected frames
#grep -v "z1=" seeingj.log | grep -v "#"| gawk '{if(NF==4)printf("%s %s ",$1,$2);else print($3,$5,$6,$9)}' > tmp.log
grep -v "z1=" seeingj.log | grep -v "#"| gawk '{print($1,$2,$7,$9,$10,$14)}' > tmp.log
ls -l ./RESULTS/sdfaj_??.?.fits | gawk '{print($9)}' > filej.log
paste filej.log tmp.log > j.log
#paste filej.log tmp.log | grep -v "01.6" | grep -v "01.5" > j.log

#seeing<0.8"
!gawk '{if($7<7.6)print($1)}' j.log > tmp.file
!gawk '{if($7<7.6)print(-$2,-$3)}' j.log > tmp.pos

#336 -> 319 /432 frames
imdel sdfaj_0.8
imcombine @tmp.file sdfaj_0.8.fits reject=sigclip  combine=median outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfaj_0.8.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.8.fits tmp.imh  1
disp tmp.imh 1

imdel tmp2.imh
gauss sdfaj_0.8noreject.fits tmp2.imh  1
disp tmp2.imh 2

#seeing<0.6"
!gawk '{if($7<5.7)print($1)}' j.log > tmp.file
!gawk '{if($7<5.7)print(-$2,-$3)}' j.log > tmp.pos

#134/432 frames
imdel sdfaj_0.6
imcombine @tmp.file sdfaj_0.6.fits reject=sigclip  combine=average outtype=real lsigma=3 hsigma=3 offset=tmp.pos masktype=goodvalue maskvalue=0
disp sdfaj_0.6.fits 1 fi+

imdel tmp.imh
gauss sdfaj_0.6.fits tmp.imh  1
disp tmp.imh 1

imdel tmp2.imh
gauss sdfaj_0.6noreject.fits tmp2.imh  1
disp tmp2.imh 2

# Photometry

#datapars
cat <<EOF > tmpdata.par
scale,r,h,1.,0.
fwhmpsf,r,h,10,0.
emission,b,h,yes
sigma,r,h,INDEF
datamin,r,h,INDEF
datamax,r,h,INDEF
noise,s,h,"poisson"
ccdread,s,h,""
gain,s,h,GAIN
readnoise,r,h,15
epadu,r,h,1
exposure,s,h,"EXPTIME"
airmass,s,h,"AIRMASS"
filter,s,h,"FILTER01"
obstime,s,h,""
itime,r,h,1.
xairmass,r,h,INDEF
ifilter,s,h,INDEF
otime,s,h,INDEF
EOF

#centerpars
cat <<EOF > tmpcenter.par
calgorithm,s,h,"none"
cbox,r,h,5
cthreshold,r,h,0
minsnratio,r,h,1.,0
cmaxiter,i,h,10
maxshift,r,h,1
clean,b,h,no
rclean,r,h,1
rclip,r,h,2.
kclean,r,h,3
mkcenter,b,h,no
EOF

#fitskypars
cat <<EOF > tmpfitsky.par
salgorithm,s,h,"mode"
annulus,r,h,15
dannulus,r,h,10
skyvalue,r,h,0.
smaxiter,i,h,10
sloclip,r,h,0.
shiclip,r,h,0.
snreject,i,h,50
sloreject,r,h,3.
shireject,r,h,3.
khist,r,h,3.
binsize,r,h,0.1
smooth,b,h,no
rgrow,r,h,0.
mksky,b,h,no
EOF

#photpars
cat <<EOF > tmpphotj.par
weighting,s,h,"constant"
apertures,s,h,9.5
zmag,r,h,24.8
mkapert,b,h,no
EOF
cat <<EOF > tmpphotkp.par
weighting,s,h,"constant"
apertures,s,h,9.5
zmag,r,h,24.5
mkapert,b,h,no
EOF

#photpars
cat <<EOF > tmpphotj.par
weighting,s,h,"constant"
apertures,s,h,5
zmag,r,h,24.8
mkapert,b,h,no
EOF
cat <<EOF > tmpphotkp.par
weighting,s,h,"constant"
apertures,s,h,5
zmag,r,h,24.5
mkapert,b,h,no
EOF

# Bright Star
# gawk 'BEGIN{print(17.49+log(857.9)/log(10)*2.5)}'
# gawk 'BEGIN{print(15.49+log(3294)/log(10)*2.5)}'
# J: 17.49mag=51473.83 ADU = 767.6ADU/s -> 24.82 mag/ADU/sec @ J
# Kp: 15.69mag=65881.05 ADU = 3002ADU/s -> 24.28 mag/ADU/sec @ Kp
noao
digiphot
apphot
!echo 609 368 > pos.dat
del tmpj.phot
phot ssdfaj_0.6.fits coords=pos.dat output=tmpj.phot fitskyp=tmpfitsky2.par photpars=tmpphotj.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-
del tmpkp.phot
phot ssdfakp_0.6.fits coords=pos.dat output=tmpkp.phot fitskyp=tmpfitsky2.par photpars=tmpphotkp.par datapars=tmpdata.par centerpars=tmpcenter.par interac- verify-

24.078 0.309
23.119 0.425

24.090 0.200
23.304 0.297

### GIF/Color images
#220, 450
imdel tmp.imh
gauss sdfaj_0.8.fits tmp.imh  1
disp tmp.imh 2
imdel gsdfaj_0.8.fits
imshift tmp.imh gsdfaj_0.8.fits -14 -3

imshift sdfaj_0.8.fits ssdfaj_0.8.fits -14 -3

imdel tmp.imh
gauss sdfakp_0.8.fits tmp.imh  1
disp tmp.imh 2
imdel gsdfakp_0.8.fits
imshift tmp.imh gsdfakp_0.8.fits 10 15

imshift sdfakp_0.8.fits ssdfakp_0.8.fits 10 15

del sdfakp.gif
export gsdfakp_0.8[431:820,161:560] sdfakp.gif gif outbands='setcmap(zscale(i1,-0.2,2),"heat")'
!xv  sdfakp.gif&
del sdfaj.gif
export gsdfaj_0.8[431:820,161:560]  sdfaj.gif  gif outbands='setcmap(zscale(i1,-0.5,3.5),"heat")'
!xv  sdfaj.gif

imdel tmpr,tmpg,tmpb
imcopy gsdfakp_0.8.fits[1:1195,1:1204] tmpr
imarith gsdfaj_0.8.fits[1:1195,1:1204] * 1.28 tmpb
imarith tmpr + tmpb tmpg
imarith tmpg / 2.0 tmpg

del sdfa.ras
export tmpr,tmpg,tmpb sdfa.ras ras outbands="zscale(i1,-6,25),zscale(i2,-6,25),zscale(i3,-6,25)"
!xv -nolimit sdfa.ras 

imarith noobjsky2frst.imh - noobjsky2last.imh test
!echo test > test.tbl
!echo test2 > test2.tbl
!touch test.mask 
imdel test2
modify @test.tbl @test2.tbl @test.mask 1
imdel mtest2
median test2 mtest2 7 7
imdel test3
imarith test2 - mtest2 test3

boxcar mtest2 mtest2 3 3
#gauss mtest2 mtest2 1
imdel test32
imarith test2 - mtest2 test32
imdel test4
imarith test3 - test32 test4

----
imexam sdfaj_0.6.fits
imshift sdfaj_0.6.fits ssdfaj_0.6.fits -4 46

imexam sdfakp_0.6.fits
imshift sdfakp_0.6.fits ssdfakp_0.6.fits 15 41