#! /bin/csh -f
 
setenv AUTOMKDISP 0
setenv AUTOMKDEBUG 1

# Check the psf 
# sed '/#id/g' RESULTS/phot.sdfakp_01 | gawk '{j=NR%2;if(j==0)printf("%02d %s\t",NR/2,$2);if(j==1)print($7)}' | grep -v RESULTS
# sed '/#id/g' RESULTS/phot.sdfakp_01 | gawk '{k=NR%18;j=NR%2;if(j==0)printf("%02d %s\t",NR/2,$2);if(j==1)print($7);if(k==1)print("--")}' | grep -v RESULTS | less

##### SDF-NIRA Kp
setenv AUTOMKFRINGE 1
set NUM=01
gawk -v ns=140729 -v n=54 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==7||NR==8||NR==10||NR==12|| NR==13 || NR==21 || NR==24 || NR==28 || NR==37 || NR==39 || NR==40 || NR==41 || NR==48 || NR==51 || NR==53)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 6 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 10 30
./editmask.csh sdfakp_$NUM 15 30
./procstd2.csh data.tbl 6 sdfakp_$NUM
./psfmon.csh data.tbl 6 sdfakp_$NUM 9
./procclean.csh

set NUM=02
gawk -v ns=140810 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==3 || NR==4 || NR==5 || NR==17 || NR==18 || NR==19 || NR==21 || NR==24 || NR==26 || NR==32 || NR==33 || NR==34 || NR==36 || NR==37 || NR==49 || NR==58 || NR==64 || NR==92 || NR==95 || NR==97)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 7 30
./editmask.csh sdfakp_$NUM 12 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 6
./procclean.csh

setenv AUTOMKFRINGE 0
set NUM=03
gawk -v ns=140921 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==1 || NR==4 || NR==6 || NR==8 || NR==11 || NR==15 || NR==18 || NR==19 || NR==34 || NR==43 || NR==63 || NR==66 || NR==86 || NR==89 || NR==91 || NR==94 || NR==97 || NR==98 || NR==102 || NR==103 || NR==104 || NR==105 || NR==106 || NR==107)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 9 30
./editmask.csh sdfakp_$NUM 17 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 8
./procclean.csh

setenv AUTOMKFRINGE 1
set NUM=04
gawk -v ns=141029 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==3 || NR==6 || NR==12 || NR==25 || NR==26 || NR==27 || NR==28 || NR==34 || NR==36 || NR==37 || NR==39 || NR==42 || NR==54 || NR==58 || NR==59 || NR==68 || NR==82 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 11 30
./editmask.csh sdfakp_$NUM 17 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 10
./procclean.csh

setenv AUTOMKFRINGE 0
set NUM=05
gawk -v ns=141139 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==1 || NR==2 || NR==12 || NR==19 || NR==53 || NR==54 || NR==55 || NR==57 || NR==58 || NR==59 || NR==65 || NR==68 || NR==69 || NR==75 || NR==76 || NR==79 || NR==94 || NR==95 || NR==97 || NR==98 || NR==101 || NR==102 || NR==107 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 10 30
./editmask.csh sdfakp_$NUM 17 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 9
./procclean.csh

set NUM=06
gawk -v ns=141506 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==1 || NR==3 || NR==6 || NR==9 || NR==11 || NR==12 || NR==14 || NR==15 || NR==18 || NR==19 || NR==21 || NR==24 || NR==25 || NR==32 || NR==37 || NR==38 || NR==39 || NR==45 || NR==46 || NR==47 || NR==61 || NR==62 || NR==63 || NR==70 || NR==73 || NR==76 || NR==81 || NR==83 || NR==99 || NR==104 || NR==107 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 11 30
./editmask.csh sdfakp_$NUM 20 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 10
./procclean.csh

#2004/3/28
setenv AUTOMKFRINGE 1
set NUM=07
gawk -v ns=141909 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==11 || NR==12 || NR==14 || NR==49 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 15 30
./editmask.csh sdfakp_$NUM 25 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 14
./procclean.csh

setenv AUTOMKFRINGE 0
set NUM=08
gawk -v ns=142017 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 15 30
./editmask.csh sdfakp_$NUM 31 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 14
./procclean.csh

set NUM=09
gawk -v ns=142125 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==70 || NR==80 || NR==99 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 17 30
./editmask.csh sdfakp_$NUM 31 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 16
./procclean.csh

set NUM=10
gawk -v ns=142233 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==7 || NR==9 || NR==16 || NR==28 || NR==35 || NR==38 || NR==50 || NR==59 || NR==61 || NR==75 || NR==83 || NR==98 || NR==105 || NR==106 || NR==107 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 13 30
./editmask.csh sdfakp_$NUM 23 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 12
./procclean.csh

setenv AUTOMKFRINGE 1
set NUM=11
gawk -v ns=142391 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==2 || NR==6 || NR==17 || NR==36 || NR==44 || NR==87 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 10 30
./editmask.csh sdfakp_$NUM 17 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 9
./procclean.csh

#2004/3/29
set NUM=12
gawk -v ns=142551 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==5 || NR==24 || NR==25 || NR==26 || NR==29 || NR==30 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 13 30
./editmask.csh sdfakp_$NUM 22 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 12
./procclean.csh

set NUM=13
gawk -v ns=142706 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 18 30
./editmask.csh sdfakp_$NUM 30 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 17
./procclean.csh

setenv AUTOMKFRINGE 0
set NUM=14
gawk -v ns=142814 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 15 30
./editmask.csh sdfakp_$NUM 28 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 14
./procclean.csh

set NUM=15
gawk -v ns=142922 -v n=108 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 13 30
./editmask.csh sdfakp_$NUM 26 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 12
./procclean.csh

setenv AUTOMKFRINGE 1
set NUM=16
gawk -v ns=143236 -v n=90 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==2 || NR==7 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfakp_$NUM
./editmask.csh sdfakp_$NUM 10 30
./editmask.csh sdfakp_$NUM 16 30
./procstd2.csh data.tbl 9 sdfakp_$NUM
./psfmon.csh data.tbl 9 sdfakp_$NUM 9
./procclean.csh

##### SDF-NIRA J
setenv AUTOMKFRINGE 0
set NUM=01
gawk -v ns=141250 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==3 || NR==5 || NR==6 || NR==10 || NR==11 || NR==13 || NR==14 || NR==17 || NR==21 || NR==22  || NR==25 || NR==27 || NR==32 || NR==34 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 14 30
./editmask.csh sdfaj_$NUM 19 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 13
./procclean.csh

set NUM=02
gawk -v ns=141286 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==4 || NR==23 || NR==24 || NR==25 || NR==32 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 18 30
./editmask.csh sdfaj_$NUM 27 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 17
./procclean.csh

set NUM=03
gawk -v ns=141324 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==18 || NR==23 || NR==26 || NR==31 || NR==32 || NR==36 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 12 30
./editmask.csh sdfaj_$NUM 19 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 11
./procclean.csh

set NUM=04
gawk -v ns=141360 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040309-040311/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==10 || NR==13 || NR==19 || NR==20 || NR==21 || NR==22 || NR==24 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 11 30
./editmask.csh sdfaj_$NUM 17 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 10
./procclean.csh

#2004/3/29
set NUM=05
gawk -v ns=141745 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==10 || NR==13 || NR==14 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 12 30
./editmask.csh sdfaj_$NUM 18 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 11
./procclean.csh

set NUM=06
gawk -v ns=141781 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > data.tbl 
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 12 30
./editmask.csh sdfaj_$NUM 20 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 11
./procclean.csh

set NUM=07
gawk -v ns=141817 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==4 || NR==27 || NR==28 || NR==29 || NR==33 )print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 12 30
./editmask.csh sdfaj_$NUM 22 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 11
./procclean.csh

#2004/3/29
set NUM=08
gawk -v ns=143055 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==4 || NR==6)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 14 30
./editmask.csh sdfaj_$NUM 25 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 13
./procclean.csh

set NUM=09
gawk -v ns=143091 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==5)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 14 30
./editmask.csh sdfaj_$NUM 25 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 13
./procclean.csh

set NUM=10
gawk -v ns=143127 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==27 || NR==28)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 13 30
./editmask.csh sdfaj_$NUM 23 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 12
./procclean.csh

set NUM=11
gawk -v ns=143163 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==13 || NR==16 || NR==17 || NR==19 || NR==21 || NR==25 || NR==31)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 14 30
./editmask.csh sdfaj_$NUM 21 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 13
./procclean.csh

set NUM=12
gawk -v ns=143199 -v n=36 'BEGIN{for(i=ns;i<ns+n;i++)printf("/mnt/data2/data/040327-040329/OHSA%08d.fits\n",i)}' > tmp.tbl 
gawk '{if(NR==7 || NR==8 || NR==11 || NR==12 || NR==16 || NR==20 || NR==21 || NR==30 || NR==34)print($0,"-");else print($0)}' tmp.tbl > data.tbl
./procstd1.csh data.tbl 9 sdfaj_$NUM
./editmask.csh sdfaj_$NUM 12 30
./editmask.csh sdfaj_$NUM 18 30
./procstd2.csh data.tbl 9 sdfaj_$NUM
./psfmon.csh data.tbl 9 sdfaj_$NUM 11
./procclean.csh
